The  **Project Setup**  allows users to customize parameters and use the solution with their own data through a visual interface. 

To make further adjustments to the project, the users still have the ability to go into the flow to update parameters directly. 

## Data update disclaimer 
Before beginning the project setup, users should read the disclaimer carefully. They have two options to replace the demo datasets with new data: uploading data from a computer or connecting to a database. 

![Screenshot 2024-01-04 at 15.21.14.png](ouba2hrQI21X)

## Option 1 - Data upload

If the user chooses to  **upload data**  from their computer, the following datasets: [customers_value_dataset](dataset:customers_value_dataset), [lead_touchpoints_dataset](dataset:lead_touchpoints_dataset), [historical_lead_information_dataset](dataset:historical_lead_information_dataset) and [to_score_lead_information_dataset](dataset:to_score_lead_information_dataset), are uploaded by the user through the project setup interface.

![Screenshot 2024-01-04 at 15.22.50.png](GBJDo6dNuZvv)

To refresh the project with new data, users can delete the existing datasets by clicking on the trash icon next to their name and then upload new files by dragging and dropping them or by clicking the "add a file" button.

After updating the datasets in the interface, users must press "check" to initiate the [Data upload - check schema](scenario:001DATAUPLOADCHECKSCHEMA) scenario, which will load the data, verify the schema, and build sync recipes to update the values and enforce the schema of the following datasets. 

## Option 2 - Data connection 

To update the project with new data, the user must update the connection settings section by connecting to a database.

![Screenshot 2024-01-04 at 15.25.52.png](eFG3JSuB3mxI)

The project comes pre-configured with all datasets using the filesystem connection. The user can either keep this setup or change it to their preferred connection by modifying the connection settings section and clicking on "run" to reconfigure the flow connections. 

By clicking the links  [customers_value](dataset:customers_value),  [lead_touchpoints](dataset:lead_touchpoints), [historical_lead_information](dataset:historical_lead_information), and the [to_score_lead_information](dataset:to_score_lead_information), the user will access the connection setting page and will be able to change the path to their datasets.

After updating the datasets in the interface, users must press "check" to initiate the  [Data connection - check schema](scenario:002DATACONNECTIONCHECKSCHEMA) scenario, which will load the data, verify the schema, and remove the two sync recipes from the flow along with their respective input datasets.

## Build flow and score leads

Ultimately, you can enter the currency you wish to use to enhance visualization. Subsequently, click on the run button to initiate the process of constructing the flow and generating the analysis.

![Screenshot 2024-01-16 at 12.03.26.png](Hnghssh5XpeM)