<span id="version" style="color: grey; float: right">version 1.1.0</span>
# Lead Scoring

Lead Scoring provides business value by allowing companies to prioritize their sales efforts, increase efficiency, improve sales and marketing alignment, and ultimately increase revenue. Insights gained include understanding which leads are most likely to convert, what the projected business value of these leads is, and tailoring marketing and sales strategies to their needs. Teams and divisions that can benefit from lead scoring include sales, marketing, and customer success teams.

**Improved Conversion Rates**: By using data-driven lead scoring models, companies can prioritize and focus on leads that are most likely to convert into paying customers, resulting in higher conversion rates.

**Increased Efficiency**: Lead scoring enables businesses to use their resources more efficiently by allowing sales and marketing teams to focus their efforts on the most valuable leads, resulting in better utilization of time and resources.

**Enhanced Customer Experience**: Lead scoring allows companies to tailor their marketing and sales strategies to the specific needs and preferences of each prospect, resulting in a more personalized and positive customer experience.

**Improved Sales and Marketing Alignment**: Lead scoring can improve the alignment between sales and marketing teams, ensuring they work towards a common goal and using the same criteria to identify high-quality leads.

**Increased Revenue**: Ultimately, lead scoring can increase revenue and profitability for companies by allowing them to focus on the most valuable leads and optimize their sales and marketing efforts accordingly.


# Key Outcomes

The [Lead Scoring Dashboard](dashboard:MAe6hab) presents a graphical overview of the project outcomes. 

The Estimated Conversion Rate page presents the results of the [classification model](saved_model:rgRmSDeu). It provides a detailed view of the conversion model score and the expected conversion rate computed on the lead to score. Additionally, visual analyses from the classification model are presented on the slide's bottom.

![Screenshot 2024-09-30 at 17.42.44.png](y870vVqTuVb5)

The Estimated Customer Value page presents the results of the [regression model](saved_model:5wvrcbKi). 

It showcases the outcomes of the customer value prediction model. The predicted values are presented in the Customer Value Table, and further visual analyses derived from the regression model are featured at the bottom of the slide.

![Screenshot 2024-09-30 at 17.43.15.png](93t4GBmqjTN2)

The Lead Value page displays the final value assigned to each lead, calculated by multiplying the probability of conversion with the expected customer value associated with each lead.

```Lead Value = Estimated Conversion Rate * Estimated Customer Value```

![Screenshot 2024-09-30 at 17.43.31.png](gSOZuuEPmNNw)

