Scenarios allow to automate the computation of the flow and are  triggered through the **Project Setup**. 

![Screenshot 2024-10-01 at 11.33.29.png](IGZaYn06ryoq)

[Data upload - check schema](scenario:001DATAUPLOADCHECKSCHEMA): Once the datasets are uploaded, the data schema is verified, and sync recipes are built to update the input data in the flow. 

*(This scenario is used only if the user picks the Option-1 in the Project Setup)*

[Data connections - reconfigure flow](scenario:002DATACONNECTIONSRECONFIGUREFLOW): All recipes' and datasets' connections are switched based on the selection made by the user in the project setup. Originally uploaded datasets and subsequent sync recipes are deleted from the flow. 

*(This scenario is used only if the user picks the Option-2 in the Project Setup)*

[Data connections - check schema](scenario:002DATACONNECTIONCHECKSCHEMA): Once the links to the input datasets are updated by the user, the data schema is verified. 

*(This scenario is used only if the user picks the Option-2 in the Project Setup)*

![Screenshot 2024-10-01 at 10.50.22.png](vAUHVlR1J07f)

[00. Run all scenarios](scenario:00RUNALLSCENARIOS): Allows the execution of scenarios 01 to 07, with each scenario corresponding to a distinct flow zone.

[01. Touchpoint data preparation](scenario:01TOUCHPOINTDATAPREPARATION): Automation of the flow zone where the data included in the [lead_touchpoints](dataset:lead_touchpoints) dataset is prepared in order to be used as an input in the conversion prediction model. 

[02. Join datasets](scenario:02JOINDATASETS): Automates the flow zone enabling the combination of newly created columns with the lead's static information.

[03. Historical data analysis](scenario:03HISTORICALDATAANALYSIS): Automation of the flow zone intended solely to create visualizations for exploring leads' historical data in the first and third slides of the [Lead Scoring Dashboard](dashboard:MAe6hab).

[04. Conversion prediction](scenario:04CONVERSIONPREDICTION): Automation of the flow zone where the prediction of the conversion model score is created.

[05. Customer value prediction](scenario:05CUSTOMERVALUEPREDICTION): Automation of the flow zone where the prediction of the expected customer value is computed.

[06. Lead scoring calculation](scenario:06LEADSCORINGCALCULATION): Automates the flow zone used to compute the expected conversion rate and the ultimate lead value.

[07. Results analysis](scenario:07RESULTSANALYSIS): Automation of the flow zone intended to create visualizations for the second, fourth, and fifth slides of the [Lead Scoring Dashboard](dashboard:MAe6hab).